Bug 1480538 - [atomic registry] When logout, access with and without '/registry' in url is confusing due to inconsistent behavior
[atomic registry] When logout, access with and without '/registry' in url is ...
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Registry Console (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Martin Pitt
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 06:39 EDT by Xingxing Xia
Modified: 2018-04-17 14:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Record: with and without tailing uri behavior inconsistently (1.35 MB, application/octet-stream)
2017-08-11 06:46 EDT, Xingxing Xia
no flags Details

  None (edit)
Description Xingxing Xia 2017-08-11 06:39:47 EDT
Description of problem:
When logout, access with and without '/registry' in url is confusing due to inconsistent behavior

Version-Release number of selected component (if applicable):
OCP v3.6.173.0.5
Registry console image: v3.6

How reproducible:
Always

Steps to Reproduce:
1. Login to registry console https://registry-console-default.*.rhcloud.com, then logout
2. When in logged out status, in another browser tab, access without '/registry' at the end in url, i.e. https://registry-console-default.*.rhcloud.com
3. When in logged out status, in another browser tab, access with '/registry' at the end in url, i.e. https://registry-console-default.*.rhcloud.com/registry

Actual results:
2. The page shows confusing "Your session has expired. Please log in again"
3. The page redirects to login page that has user/password input box

Expected results:
2. No matter with or without '/registry', should be consistent behavior to redirect to login page

Additional info:
Comment 1 Xingxing Xia 2017-08-11 06:46 EDT
Created attachment 1312074 [details]
Record: with and without tailing uri behavior inconsistently
Comment 2 Peter 2017-08-11 10:54:43 EDT
It's not about the path, it's a browser caching issue.
Comment 3 Peter 2017-08-21 13:11:47 EDT
This is fixed in cockpit 149.

Note You need to log in before you can comment on or make changes to this bug.